package net.shadowfacts.extrahoppers.block.gold

import net.minecraft.client.MinecraftClient
import net.minecraft.entity.player.PlayerInventory
import net.minecraft.text.TranslatableText
import net.minecraft.util.Identifier
import net.shadowfacts.extrahoppers.block.base.BaseHopperScreen

/**
 * @author shadowfacts
 */
class GoldHopperScreen(
        container: GoldHopperContainer,
        playerInv: PlayerInventory
): BaseHopperScreen<GoldHopperContainer>(container, playerInv, TranslatableText("block.extrahoppers.${if (container.hopper.inverted) "inverted_" else ""}gold_hopper")) {

    companion object {
        fun create(container: GoldHopperContainer): GoldHopperScreen {
            return GoldHopperScreen(container, MinecraftClient.getInstance().player!!.inventory)
        }
    }

    override val background = Identifier("minecraft", "textures/gui/container/hopper.png")
}
