package net.shadowfacts.extrahoppers.block.wood

import net.minecraft.client.MinecraftClient
import net.minecraft.entity.player.PlayerInventory
import net.minecraft.text.TranslatableText
import net.minecraft.util.Identifier
import net.shadowfacts.extrahoppers.block.base.BaseHopperScreen

class WoodHopperScreen(
        container: WoodHopperContainer,
        playerInv: PlayerInventory
): BaseHopperScreen<WoodHopperContainer>(container, playerInv, TranslatableText("block.extrahoppers.gold_hopper")) {

    companion object {
        fun create(container: WoodHopperContainer): WoodHopperScreen {
            return WoodHopperScreen(container, MinecraftClient.getInstance().player!!.inventory)
        }
    }

    override val background = Identifier("extrahoppers", "textures/gui/wood_hopper.png")

}
