package net.shadowfacts.extrahoppers.init

import net.minecraft.block.Block
import net.minecraft.util.Identifier
import net.minecraft.util.registry.Registry
import net.shadowfacts.extrahoppers.block.gold.GoldHopperBlock
import net.shadowfacts.extrahoppers.block.gold.InvertedGoldHopperBlock
import net.shadowfacts.extrahoppers.block.grate.GrateBlock
import net.shadowfacts.extrahoppers.block.wood.WoodHopperBlock

object EHBlocks {

    val WOOD_HOPPER = WoodHopperBlock()
    val GOLD_HOPPER = GoldHopperBlock()
    val INVERTED_GOLD_HOPPER = InvertedGoldHopperBlock()
    val GRATE = GrateBlock()

    fun init() {
        register(WoodHopperBlock.ID, WOOD_HOPPER)
        register(GoldHopperBlock.ID, GOLD_HOPPER)
        register(InvertedGoldHopperBlock.ID, INVERTED_GOLD_HOPPER)
        register(GrateBlock.ID, GRATE)
    }

    private fun register(id: Identifier, block: Block) {
        Registry.register(Registry.BLOCK, id, block)
    }

}
